Bug 192104 - Firefox eats my CPU
Firefox eats my CPU
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
massRequestForReproduction
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-17 12:33 EDT by Vic
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-19 12:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vic 2006-05-17 12:33:36 EDT
Description of problem:

Firefox will suddenly start consuming 100% of the CPU. This happens from time to
time when there are many windows & tabs open.


Version-Release number of selected component (if applicable):

Seen on firefox-1.0.8-1.4.1, but also on previous versions.


How reproducible:

Frequent!

Steps to Reproduce:
1.Run Firefox with lots of windows & tabs open
2.Find something really important that needs web access now...
3.
  
Actual results:

CPU load hits the roof, firefox starts being *supremely* slow (20+minutes to
refresh a page on an AMD64 3000+)

Expected results:

Web browsing...

Additional info:

I played with gdb to see if I could track this down. When it goes wrong, it
seems to spend its time in js_MarkGCThing(). Turning off Javascript *seems* to
have made the problem go away - but it's too early to say for sure.
Comment 1 Vic 2006-05-25 12:01:23 EDT
OK, turning off Javascript hasn't fixed it.

Firefox stayed up for about a week (that's about 2 orders of magnitude
improvement), but still fell over in what appears to be the same manner.

So - has anyone except me actually looked at this yet?
Comment 2 Matěj Cepl 2008-02-08 15:42:32 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 3 Matěj Cepl 2008-03-19 12:41:15 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.
Comment 4 Vic 2008-03-19 12:54:56 EDT
It's hard to say wbether this bug has been fixed or not - Firefox uses up so
much RAM these days that I have to kill it & restart much more often than I used to.

I was hoping to get a response before the bug was closed, but that has not been
possible.

Looks like we'll throw a little more feedback info in the bin :-(

Note You need to log in before you can comment on or make changes to this bug.